.inputContainer {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  align-self: stretch;
  padding: 5px 2px;
  height: 30px;
  border-bottom: 1px solid var(--color-primary);
}

.inputTextStyle {
  font-size: var(--font-size-text);
  color: var(--color-black);
  width: 100%;
  border: 0;
  padding: 0 8px;
  margin: 0;
  outline: none;
}

.inputTextStyle.readOnly {
  font-size: var(--font-size-h3);
  font-weight: bold;
  margin: 0 0 12px 24px;
  padding: 0;
}

.inputTextStyle.box{
  border:1px solid var(--color-primary);
  height: 25px; 
  width: stretch;
}

.inputTextStyle.box.short {
  width: 50px;
}

.placeholderStyle {
  color: var(--color-black-light);
};

.leftIcon {
  padding-right: 8px;
  justify-content: center;
  align-self: stretch;
};

.rightIcon {
  padding-left: 8px;
  justify-content: center;
  align-self: stretch;
};

.inputTextContainer {
  display: flex;
  flex-direction: column;
  text-align: left;
}

.inputTextContainer .inputTextTitle {
  font-size: var(--font-size-text);
  padding-bottom: 5px;
  font-weight: 500;
}

.inputTextContainer .inputTextRequired {
  padding-left: 5px;
  color: var(--color-error);
}

.inputTextContainer .inputTextBox{
  display: flex;
  flex-direction: row;
  align-items: center;
}

.inputTextContainer .inputTextBox span {
  font-size: var(--font-size-legend);
  padding-left: 5px;
}

.inputTextContainer .textArea {
  border: 1px solid var(--color-primary);
  resize: vertical;
  width: stretch;
  padding: 4px 8px;
}

.inputTextContainer .inputTextLegend {
  font-size: var(--font-size-legend);
  color: var(--color-black-light);
  padding-top: 5px;
}

.inputContainer.error .leftIcon,
.inputTextContainer.error,
.inputTextContainer.error .inputTextStyle.box,
.inputTextContainer.error .textArea {
  color: var(--color-error);
}
.inputContainer.error,
.inputTextContainer.error .inputTextStyle.box,
.inputTextContainer.error .textArea {
  border-color: var(--color-error);
}

